
Source :~ <http://compendiumld.open.ac.uk/documentation/version1.0/videos/>

<!--<style> iframe[ src *= slideshare ] { height: 355px; width: 425px; } iframe[ src *= vimeo ] { height: 225px; width: 400px; } /**/ </style>-->

# Videos and slide shows about CompendiumLD

The videos and slideshows on this page illustrate various aspects of CompendiumLD. [Getting started with CompendiumLD](#gettingStarted) and [Doing more with CompendiumLD](#doingMore) explain the mechanics of working with CompendiumLD and introduce you to its functionality.

[Introduction to using CompendiumLD to design learning activities](#designLearningActivities) describes techniques for using visualisation to support learning design along with a commentary of the issues encountered in the design process. [Using CompendiumLD for course design](#usingForCourseDesign) shows how CompendiumLD has been used to help choose between alternative e-learning tools for use on a particular course.  

(_You can see full-screen versions of these slideshows and videos by clicking on 'view on Slideshare' then on "Full": both these links are in the bottom right hand corner of the slideshow._)

## Getting started with CompendiumLD

This slide show describes how to use CompendiumLD to create a visual representation or model of a learning activity. It contains two movies.

<iframe src="https://www.slideshare.net/slideshow/embed_code/key/FlXDZWKz9wDHd3" allowfullscreen ></iframe>

[Getting Started With Compendium LD (version 1)][ss-start] from [Andrew Brasher][].

## Doing more with CompendiumLD

This slideshow describes some features of CompendiumLD which can help you lay out and manage your learning designs. It includes tips for adding timing information, dragging and dropping files (e.g. documents) into your design, and hints on techniques for laying out your designs.

<iframe src="https://www.slideshare.net/slideshow/embed_code/key/MzkiB2pC9Ql1Ow" ></iframe>

[Doing More With Compendium Ld][ss-do-more] from [Andrew Brasher][].


## Introduction to using CompendiumLD to design learning activities

A slide-cast describing some techniques for using visualisation to support learning design along with a commentary of the issues encountered in the design process.

<iframe src="https://www.slideshare.net/slideshow/embed_code/key/NN5kJqPRrU5PZB" ></iframe>

[Introduction to Using CompendiumLD to Design Learning Activities][ss-intro-ld] from [OUDLI](https://slideshare.net/OUDLI).


### <a name="usingForCourseDesign" ></a> Using CompendiumLD for course design

[Joe Doak][] of Reading University describes how CompendiumLD has been used to help choose between alternative e-learning tools for use on a course in real estate and planning.

<iframe src="https://player.vimeo.com/video/14986457" ></iframe>

You can view this movie in full screen mode by clicking on the arrows in the bottom right hand corner of the version available on the Vimeo web site: [Using CompendiumLD for Course Design][vim-reading].

(_Sometimes the video embedded above takes a while to load; if that happens just follow the link: [Using CompendiumLD for Course Design][vim-reading]_).

[archive]: https://web.archive.org/web/20180812060112/http://compendiumld.open.ac.uk/documentation/version1.0/videos/
[ss-start]: https://slideshare.net/andrew_x/getting-started-with-compendium-ld-version-1 "Getting Started With Compendium LD (version 1)"
[ss-do-more]: https://slideshare.net/andrew_x/doing-more-with-compendium-ld "Doing More With Compendium Ld"
[ss-intro-ld]: https://slideshare.net/OUDLI/designing-in-cld-08 "Introduction to Using CompendiumLD to Design Learning Activities"
[vim-reading]: https://vimeo.com/14986457 "Using CompendiumLD for Course Design, by ReadingLDI, on Vimeo."
[joe doak]: https://www.henley.ac.uk/people/person/joe-doak
[joe-old]: http://www.henley.reading.ac.uk/rep/Aboutus/Staff/a-j-doak.aspx
[Andrew Brasher]: https://slideshare.net/andrew_x

---
