
 * Was (source) :~ <http://compendium.open.ac.uk/institute/about.htm>

# About Compendium

Compendium is a software tool providing a **flexible visual interface** for **managing the connections between information and ideas**.

It places **few constraints** on how you organise material, though many have found that it provides **support for structured working** for instance, following a methodology or modelling technique. Our own particular interest is in **visualizing the connections between** **people, ideas and information** at multiple levels, in **mapping discussions and debates**, and what skills are needed to do so in a participatory manner that **engages all stakeholders**.

**Validated in both small and large scale projects** across diverse sectors in society, it is the result of over 15 years' research and development at the intersection of hypertext, collaborative modelling, organizational memory, computer-supported argumentation and meeting facilitation.

## Personal Use

Many people use Compendium to **manage their personal digital information resources**, since you can drag+drop in any document, website, email, image, etc, organise them visually, and then connect ideas, arguments and decisions to these. **Compendium thus becomes the 'glue' that allows you to pool and make sense of disparate material** that would otherwise remain fragmented in different software applications. You can assign your own keyword 'tags' to these elements (icons), create your own palettes of icons that have special meanings, overlay maps on top of background images, and place/edit a given icon in many different places at once: things don't always fit neatly into just one box in real life.

If you're technical, you can exploit our XML scheme, the Derby or MySQL relational database,
and public Java classes to connect Compendium to other databases and computational services.
(If that sentence meant anything to you, then check out our [developer website][]!)

## Group Use

Extending Compendium's support for personal sense-making, we have a particular interest in what we term **collective sense-making**, and have developed a technique called [Dialogue Mapping][dm-book], and its extension, [Conversational Modelling][kmi-05-08]. Our experiences with these techniques for capturing and managing — often in real time and under pressure — the perspectives in meetings that emerge in open discussion or in collaborative modelling, lead us to claim that Compendium offers innovative strategies for tackling some of the key challenges in managing knowledge and making meaning:

*   **improving communication** between disparate communities tackling **ill-structured problems**

*   **real time capture** and integration of **hybrid material** (both predictable/ formal, and unexpected/informal) into a **reusable group memory**

*   transforming the resulting resource into the **right representational formats** for different stakeholders.

## More details and real life examples...

As an open, flexible tool, Compendium has myriad applications for information-intensive, intellectual work. Most of our global community, spanning all organizational sectors, are simply using Compendium to help them do their job (see below for some of their views). Rather fewer (ourselves included) are reflective practitioners, academics or industrial researchers with the time and interest to write articles: see the [case studies and other documents](library/library.htm).

---

## What our users are saying...

"You should really look at Compendium... the best tool I have ever seen for gathering and documenting requirements."
- **Craig Reding**, Executive Director-Systems Analysis & Programming, Verizon Communications

"Compendium is such an amazing software tool. For me it is the Tool of Choice for gathering and making sense of the fragmented bits that come with wicked problems. I use it routinely with clients and am always amazed at its elegance and power."
- **Jeff Conklin**, Cognexus Institute, author of [_Dialogue Mapping: Building Shared Understanding of Wicked Problems_][dm-book]

"I have to say that I still find this the best tool that I've found for discussions, planning, and tracking to-do items.... Thank you again for this brilliant product."
- **Robert Heath**, IBM Silicon Valley Laboratory

"I just discovered Compendium and am stunned. I've been a user of other knowledge organizing applications like PersonalBrain and MindManager for many years but never came across Compendium until now. How did the Compendium Institute keep this gem hidden for so long? I want to thank all the developers and team at the compendiuminstitute for bringing this wonderful application into being. Thank you very much! Compendium is unique in its offering as a collaborative meeting facilitation/idea organizing tool. Installing Compendium 1.5 was a pleasant breeze. I'm really excited about the potential uses for Compendium. I've already tagged it under [del.icio.us][] and hope to see more of its bright future in enabling better personal and group knowledge management and collaboration. "
- **Tony Ching, RN**, Knowledge Base Coordinator

"I find Compendium as a methodology to be invaluable in my work as a facilitator. The Compendium software is adaptable to a wide range of situations and is in a class by itself. And linking up with the Compendium community through the [listserve][] is very educational and enriching."
- **Nick Papadopoulos**, Facilitator

"Outstanding software. Absolutely beautiful user interface and very quick to work with. Awesome program from what I've seen so far. The online videos were excellent and very helpful introducing me to the various parts of the program. I tend to not think in terms of "Top" but rather in a network of relationships and Compendium just feels right."
- **Scott L. Holmes**, Aramark

"Congratulations. Great tool. Best looking icon on my tool bar. I tend to leave my Compendium KB running all the time (24*7) since I am always referring to it and always adding new information as I discover the minor secrets of the universe.
The system is so much more performant and less resource hungry that I do not hesitate to run multiple databases at once. Very handy."
- **Ron Wheeler**, VP of Technology, Artifact Software

"v. 1.4 is a brilliant piece of work! Installs like a champ, no sticky MySQL mess. This is the step I've been waiting for ... Bravo, Michelle, and everyone else involved in the project! "
- **Steve Auerweck**, The Baltimore Sun

"I've just begun to use the Compendium software I downloaded last week. It is very impressive and I just love the accompanying articles and thought pieces I read from the Compendium Institute and the CogNexus Institute. Very insightful stuff."
- **Paul Hilt**, Hilt & Associates

And see **Eugene Eric Kim's** piece on [Why I Love Compendium And You Should Too][eekim].

[archive]: https://web.archive.org/web/20180413123237/http://compendium.open.ac.uk/institute/about.htm
[developer website]: https://web.archive.org/web/20180413123237/http://compendium.open.ac.uk/developers/os_home.php
[kmi-05-08]: http://kmi.open.ac.uk/publications/techreport/kmi-05-18
  "Buckingham Shum et al (2005). Hypermedia Support for Argumentation-Based Rationale: 15 Years on from gIBIS and QOC. ID: kmi-05-18."
[kmi-05-arch]: https://web.archive.org/web/20180413123237/http://kmi.open.ac.uk/publications/index.cfm?trnumber=kmi-05-18
[listserve]: https://groups.yahoo.com/neo/groups/compendiuminstitute/info
[list-arch]: https://web.archive.org/web/20180413123237/http://groups.yahoo.com/group/compendiuminstitute
[del.icio.us]: https://web.archive.org/web/20180413123237/http://del.icio.us/url/9452c5583219c3d02f08e31f1528bf75
[dm-book]: https://cognexus.org/dm_book.htm
  "Dialogue Mapping: Building Shared Understanding of Wicked Problems, Jeff Conklin, Ph.D. (2007)"
[dm-arch]: https://web.archive.org/web/20180413123237/http://cognexus.org/dm_book.htm
[eekim]: http://web.archive.org/web/20161010172324/http://eekim.com/blog/2005/11/why-i-love-compendium-and-you-should-too/
   "Why I Love Compendium And You Should Too. Eugene Eric Kim (November 13, 2005)"

---
